{ config, pkgs, rice, lib, user, ... }:
lib.mkIf (user != "tv")
{
  home.packages = with pkgs; [
    kitty
  ];

  programs.kitty = {
    enable = true;
    font = {
      name = rice.font.code.name2;
      package = rice.font.code.package;
    };
    settings = {
      background =  rice.color.background;
      foreground =  rice.color.foreground;
      cursor  =  rice.color.foreground;
      color0  =  rice.color.black.base;
      color8  =  rice.color.black.bright;
      color1  =  rice.color.red.base;
      color9  =  rice.color.red.bright;
      color2  =  rice.color.green.base;
      color10 =  rice.color.green.bright;
      color3  =  rice.color.yellow.base;
      color11 =  rice.color.yellow.bright;
      color4  =  rice.color.blue.base;
      color12 =  rice.color.blue.bright;
      color5  =  rice.color.magenta.base;
      color13 =  rice.color.magenta.bright;
      color6  =  rice.color.cyan.base;
      color14 =  rice.color.cyan.bright;
      color7  =  rice.color.white.base;
      color15 =  rice.color.white.bright;
      background_opacity = builtins.toString rice.transparency;
      window_padding_width = 5;
      remember_window_size = false; 
    };
  };
}


